import httpRequest from '@/utils/axios'

/**
 * 创建订单
 * */
export function createOrder(data) {
  return httpRequest.post('/api/shop/order/add', data)
}

/**
 * 获取订单
 * */
export function getOrderList(data) {
  return httpRequest.post('/api/shop/order/search', data)
}

/**
 * 获取用户OpenId
 * */
export function getOpenId(data) {
  return httpRequest.post('/api/usercenter/v1/wechat/get-openid', data, {
    headers: { 'Content-Type': 'application/x-www-form-urlencoded' }
  })
}
