import { createApp } from 'vue'
import App from './App.vue'
import { Dialog, RadioGroup, Radio } from 'vant'
import mitt from 'mitt'

const app = createApp(App)

app.use(Dialog)
app.use(Radio)
app.use(RadioGroup)
app.config.globalProperties.$mitt = mitt()

const root = document.createElement('div')
root.setAttribute('id', 'zj-pay')
document.body.appendChild(root)
app.mount('#zj-pay')

export default {
  buy(options) {
    app.config.globalProperties.$mitt.emit('buy', options)
  }
}
